import { Prism as SyntaxHighlighter } from 'react-syntax-highlighter';

export default function Code({ children, language, ...props}){

  const decodedCode = decodeURIComponent(children);

  return (
    <SyntaxHighlighter language={language} {...props}>
      {decodedCode}
    </SyntaxHighlighter>
  );
}