import { createContext } from 'react';

export const ThemeContext = createContext();

export const ThemeProvider = ({ children, themeVariables }) => {
  
  return (
    <ThemeContext.Provider value={themeVariables}>
      {children}
    </ThemeContext.Provider>
  );
};