import AppBar from "@/components/AppBar";
import Code from "@/components/Code";
import Container from "@/components/Container";
import Message from "@/components/Message";
import Text from "@/components/Text";
import MenuItems from "@/util/menuItems";

export default function AppBarPage(){

  return(
    <Container flexDirection="row">
    <MenuItems />
    <Container margin="1rem" flexGrow="1">
      
      {/* Seção principal */}
      <Text as="h1" margin="0">Componente AppBar</Text>
      <Text as="p" margin="1rem 0">O componente AppBar permite... Por padrão, utilza a cor primária definida no tema</Text>
      <Container style={{ border: '1px solid black'}} padding=".5rem">
        <AppBar title="App" />
      </Container>
      <Container style={{ border: '1px solid black', borderTop: '0', backgroundColor: '#f5f2f0' }}>
        <Code language="javascript">
{`import AppBar from "@/components/AppBar";

<AppBar title="App" />`}
        </Code>
      </Container>
    </Container>
  </Container>
  )
}