import styles from './styles.module.scss';

export default function Tab({ margin, margin_top, margin_right, margin_left, margin_bottom, 
  children, style, ...props }) {
  
  const allStyle = {
    ...(margin && { margin }),
    ...(margin_top && { marginTop: margin_top }),
    ...(margin_bottom && { marginBottom: margin_bottom }),
    ...(margin_left && { marginLeft: margin_left }),
    ...(margin_right && { marginRight: margin_right }),
    ...(style && style)
  }
  
  return (
    <div className={styles.tab} {...props} style={allStyle}>
      <div className={styles.tabContainer}>
        {children}
      </div>
    </div>
  );
}
