import '@/styles/globals.css'
import { ThemeProvider } from "@/context/theme"
import theme from "@/styles/theme.css"

export default function App({ Component, pageProps }) {
  
  return (
    <>
      <ThemeProvider themeVariables={theme}>
        <Component {...pageProps} />
      </ThemeProvider>
    </>
  );
}